<?xml version="1.0" encoding="UTF-8"?>
<!--Multiple camera strategy config table-->
<MultiCameraConfigTable>
    <rule name = "ZOOM[0.4-1.0)">
        <condition name = "ZOOM_RATIO" min = "0.4" max = "1.0"/>
        <outState>
            <camera name = "ultra_wide" prev = "true"/>
        </outState>
    </rule>

    <rule name = "ZOOM[1.0-3.5)">
        <condition name = "ZOOM_RATIO" min = "1.0" max = "3.5"/>
        <outState>
            <camera name = "wide" prev = "true"/>
        </outState>

        <rule name = "ZOOM[2.9,3.5)">
            <condition name = "ZOOM_RATIO" min = "2.9" max = "3.5"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
        </rule>

    </rule>

    <rule name = "ZOOM[3.5-7.0x) ">
        <condition name = "ZOOM_RATIO" min = "3.5" max = "7.0"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>

        <rule name = "ZOOM[3.5-7.0x) lower brightness">
            <condition name = "ZOOM_RATIO" min = "3.5" max = "7.0"/>
            <condition name = "LUMINANCE" min = "-100.0" max = "25.0" hysteresis_max = "20.0"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
        </rule>

        <rule  name = "ZOOM[3.5-7.0x) lower objDis">
            <condition name = "ZOOM_RATIO" min = "3.5" max = "7.0"/>
            <condition name = "OBJECT_DISTANCE" min = "0.0" max = "400.0" hysteresis_max = "200.0"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
        </rule>
    </rule>

    <rule name = "ZOOM[7.0-12.0x) ">
        <condition name = "ZOOM_RATIO" min = "7.0" max = "12.0"/>
        <outState>
            <camera name = "tele" prev = "true"/>
        </outState>

        <rule name = "ZOOM[.0-12.0x) lower brightness">
            <condition name = "ZOOM_RATIO" min = "7.0" max = "12.0"/>
            <condition name = "LUMINANCE" min = "-100.0" max = "25.0" hysteresis_max = "20.0"/>
            <outState>
                <camera name = "wide" prev = "true"/>
            </outState>
        </rule>

    </rule>
</MultiCameraConfigTable>
